public static interface QuickfixjEndpointBuilderFactory.QuickfixjBuilders
| Modifier and Type | Method and Description |
|---|---|
default QuickfixjEndpointBuilderFactory.QuickfixjEndpointBuilder |
quickfix(String path)
QuickFix (camel-quickfix)
Open a Financial Interchange (FIX) session using an embedded
QuickFix/J engine.
|
default QuickfixjEndpointBuilderFactory.QuickfixjEndpointBuilder |
quickfix(String componentName,
String path)
QuickFix (camel-quickfix)
Open a Financial Interchange (FIX) session using an embedded
QuickFix/J engine.
|
default QuickfixjEndpointBuilderFactory.QuickfixjEndpointBuilder quickfix(String path)
quickfix:configurationName
Path parameter: configurationName (required)
The configFile is the name of the QuickFIX/J configuration to use for
the FIX engine (located as a resource found in your classpath).path - configurationNamedefault QuickfixjEndpointBuilderFactory.QuickfixjEndpointBuilder quickfix(String componentName, String path)
quickfix:configurationName
Path parameter: configurationName (required)
The configFile is the name of the QuickFIX/J configuration to use for
the FIX engine (located as a resource found in your classpath).componentName - to use a custom component name for the endpoint
instead of the default namepath - configurationNameApache Camel